xine-lib: Data Fields

xine-lib 1.2.13-20230125hg15249

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- A : Similitude_Struct
- a : _PIXEL, biquad_t, vdpau_driver_t
- A2 : Similitude_Struct
- a52_bit_rate : xine_a52_parser_t
- a52_flags : xine_a52_parser_t
- a52_flags_map : a52dec_decoder_s
- a52_flags_map_lfe : a52dec_decoder_s
- a52_level : a52dec_class_t
- a52_sample_rate : xine_a52_parser_t
- a52_state : a52dec_decoder_s
- a_bitrate : xine_nbc_stats_data_t
- a_height : vdpau_video_surface_t
- a_in_disc : xine_nbc_stats_data_t
- a_percent : xine_nbc_stats_data_t
- a_remaining : xine_nbc_stats_data_t
- a_width : vdpau_video_surface_t
- aac_mode : ff_audio_decoder_s
- abs_diff_pic_num_minus1 : slice_header
- abs_time : AnimHeader
- abstract : sdpplin_t
- ac5_length : dts_decoder_t
- ac5_pcm_length : dts_decoder_t
- ac_mask : alsa_driver_s
- accel : mpeg2dec_s, opengl2_driver_s
- accel_data : vo_frame_s
- accel_flags : xvmc_capabilities_t
- accel_p : _SOUND_INFO
- accel_vdpau : sequence_t, vdpau_h264_alter_decoder_t
- acceleration : xine_xxmc_s
- accelrequired : deinterlace_method_s
- accelvar : _SOUND_INFO
- acceptsFirstResponder : XineOpenGLView
- achName : _PinInfo
- acquire : xine_ticket_s
- act_format : win32_driver_t
- action : mpeg2dec_s
- action_lock : xine_stream_private_st
- action_pending : xine_stream_private_st
- active : cc_decoder_s, CRange
- actual_size : _CMediaSample
- adapter_num : tuner_t
- adaptive_ref_pic_marking_mode_flag : slice_header
- add : aos_t, audio_fifo_s, vos_t
- add_bars : dxr3_driver_s
- add_event : video_overlay_manager_s
- add_here : xine_sarray_s
- AddRef : IBaseFilter_vt, IDivxFilterInterface_vt, IEnumMediaTypes_vt, IEnumPins_vt, IHidden2_vt, IHidden_vt, IMediaSample_vt, IMemAllocator_vt, IMemInputPin_vt, IPin_vt
- address : _INSTRUCTION, rtp_input_plugin_t
- adif : faad_decoder_t
- adjust : eq2_param_t, scr_plugin_s
- adjust_clock : metronom_clock_s
- adjust_zoom_lock : vdr_input_plugin_s
- adts_fake : faad_decoder_t
- adts_lasthead : faad_decoder_t
- afd_code : dxr3_decoder_s
- afd_smart_change : dxr3_decoder_s
- afd_value_reported : mpeg2dec_s
- afd_value_seen : mpeg2dec_s
- affiche : _PLUGIN_INFO
- age : _FS_STAR, tdaan_leveller_t
- ai : xine_query_buffers_t
- aIndex : _avistdindex_chunk, _avisuperindex_chunk
- aindex : audio_index_t
- ainfo : fat_node_st
- album : id3v1_tag_t, qt_info
- all : _CMediaSample
- all_size : mpd_input_plugin_s
- alloc_cb : fifo_buffer_s
- alloc_cb_data : fifo_buffer_s
- alloc_chunks : audio_index_t
- alloc_frame : vo_driver_s, xine_hwdec_t
- alloc_frames : video_index_t
- alloc_index : mpeg2dec_s
- alloc_index_user : mpeg2dec_s
- alloc_list : xine_ring_buffer_s
- allocated_surfaces : vdpau_driver_t
- AllocateStreamingResources : IMediaObject_vt
- allTimesMax : _SOUND_INFO
- alpha : sIIRCoefficients
- alphablend_extra_data : directfb_driver_s, dxr3_driver_s, fb_driver_s, macosx_driver_t, opengl_driver_t, pgx32_driver_t, pgx64_driver_t, sdl_driver_s, stk_driver_s, vidix_driver_s, win32_driver_t, xshm_driver_t, xv_driver_s, xxmc_driver_s
- alternate_buffer_size : asf_stream_extension_s
- alternate_data_bitrate : asf_stream_extension_s
- alternate_initial_buffer_fullness : asf_stream_extension_s
- alternative : xine_mrl_reference_data_ext_t, xine_mrl_reference_data_t
- amax : post_plugin_tdaan_t
- amount : FilterParam
- amp : fusionsound_driver_s
- amp_age : post_plugin_fftscope_s
- amp_factor : aos_t
- amp_level : aos_t
- amp_max : post_plugin_fftscope_s
- amp_max_u : post_plugin_fftscope_s
- amp_max_v : post_plugin_fftscope_s
- amp_max_y : post_plugin_fftscope_s
- amp_mute : aos_t, fusionsound_driver_s
- amplitude : _GMLINE
- amplitudeF : _GMLINE
- anamorphic : dxr3_spudec_s
- angle : _GMUNITPOINTER
- anhd : demux_iff_t
- annotations : demux_iff_t
- answers : rtsp_s
- ao : aos_t, xine_query_buffers_t
- ao_cap_mode : lpcm_decoder_s
- ao_caps : ff_audio_decoder_s
- ao_channels : ff_audio_decoder_s
- ao_class : fusionsound_class_t
- ao_driver : alsa_driver_s, ao_directx_t, ao_file_driver_s, ao_none_driver_s, coreaudio_driver_s, dx2_driver_t, esd_driver_s, fusionsound_driver_s, jack_driver_s, opensles_driver_s, oss_driver_s, pulse_driver_s, sndio_driver_s, sun_driver_s
- ao_flags_map : a52dec_decoder_s, dts_decoder_t
- ao_flags_map_lfe : a52dec_decoder_s
- ao_info : all_info_t
- ao_mode : ff_audio_decoder_s
- ap : scratch_buffer_s
- API : plugin_info_t
- api : xine_hw_frame_plugin_s
- api_version : vdpau_driver_t
- apid : xine_pids_data_t
- append : ogg_meta
- apply : _VISUAL_FX
- apts : demux_ts_t
- area : osd_object_s
- area_touched : osd_object_s
- arg : em8300_overlay_calibrate_t
- arg2 : em8300_overlay_calibrate_t
- argb_buffer : vdr_osd_s
- argb_layer : osd_object_s, vo_overlay_s
- args : _xine_args_t, opengl2_program_t, xine_url_t
- args_start : mrlp_t
- args_stop : mrlp_t
- array : _GOOM_RANDOM, xine_stream_private_st
- arrays : _GOOM_HEAP
- artist : demux_mod_t, demux_nsf_t, id3v1_tag_t, qt_info
- asf_header : demux_asf_s, mms_s, mmsh_s
- asf_header_buffer : mms_s, mmsh_s
- asf_header_len : mms_s, mmsh_s
- asf_header_read : mms_s, mmsh_s
- asm_rule_book : sdpplin_stream_t
- asm_rule_book_length : sdpplin_stream_t
- aspect : dxr3_driver_s, dxr3_frame_s, expand_parameters_s, ivtv_ioctl_codec, xine_format_change_data_t
- aspect_code : dxr3_decoder_s
- aspect_d : demux_yuv4mpeg2_t
- aspect_n : demux_yuv4mpeg2_t
- aspect_ratio : ff_video_decoder_s, xine_set_mpeg_data_t
- aspect_ratio_idc : seq_parameter_set_rbsp, vdec_hw_h264_vui_t
- aspect_ratio_info : mpeg_parser_s, vdec_hw_h264_vui_t
- aspect_ratio_information : picture_s, sequence_t
- aspect_ratio_prio : ff_video_decoder_s
- aspect_ration_info_present_flag : seq_parameter_set_rbsp
- aspect_ratios : asf_header_s
- assume_bad_field_picture : ff_video_decoder_s
- atak : demux_iff_t
- atom : va_property_t, xv_property_t, xxmc_property_t
- atomic_revoker_thread : xine_ticket_private_t
- atomic_revokers : xine_ticket_private_t
- attr_chg : cc_row_s
- attribute : em8300_attribute_t
- attributes : cc_char_cell_s
- au_component : coreaudio_driver_s
- au_unit : coreaudio_driver_s
- aud_frame_freed : v4l_input_plugin_t
- aud_frames : v4l_input_plugin_t
- aud_frames_lock : v4l_input_plugin_t
- audio : avi_t, film_sample_t, metronom_impl_t, properties_t, v4l_input_plugin_t, vdr_metronom_t, xine_nbc_st
- audio_bitmask : ivtv_ioctl_codec
- audio_bits : demux_aiff_t, demux_aud_t, demux_film_t, demux_iff_t, demux_smjpeg_t, demux_snd_t, demux_voc_t, dvaudio_decoder_s
- audio_block_align : demux_aiff_t, demux_iff_t, demux_snd_t
- audio_buffer_filled : demux_iff_t
- audio_byte_count : demux_roq_t
- audio_bytes_per_second : demux_aiff_t, demux_iff_t, demux_snd_t
- audio_caps : dts_decoder_t
- audio_channel_auto : xine_stream_s
- audio_channel_user : xine_stream_private_st
- audio_channels : demux_aiff_t, demux_aud_t, demux_film_t, demux_flv_t, demux_iff_t, demux_smjpeg_t, demux_snd_t, demux_voc_t, dvaudio_decoder_s, vdr_audio_post_plugin_s, vdr_input_plugin_s
- audio_chunk_size1 : demux_idcin_t
- audio_chunk_size2 : demux_idcin_t
- audio_chunks : audio_index_t
- audio_compression_factor : demux_iff_t
- audio_content_base : v4l_input_plugin_t
- audio_count : metronom_impl_t
- audio_decoder : a52dec_decoder_s, dts_decoder_t, dvaudio_decoder_s, faad_decoder_t, ff_audio_decoder_s, flac_decoder_s, fooaudio_decoder_s, gsm610_decoder_s, lpcm_decoder_s, mad_decoder_s, mpc_decoder_s, nsf_decoder_s, qta_decoder_s, realdec_decoder_s, speex_decoder_s, vorbis_decoder_s, w32a_decoder_s, wavpack_decoder_t
- audio_decoder_extra_info : xine_stream_private_st
- audio_decoder_map : plugin_catalog_s
- audio_decoder_plugin : xine_stream_private_st
- audio_decoder_streamtype : xine_stream_private_st
- audio_dev : oss_driver_s, sun_driver_s
- audio_dvd : demux_mpeg_s
- audio_fd : alsa_driver_s, esd_driver_s, oss_driver_s, sun_driver_s
- audio_fifo : demux_aac_t, demux_ac3_t, demux_aiff_t, demux_asf_s, demux_aud_t, demux_avi_s, demux_cdda_t, demux_dts_t, demux_eawve_t, demux_film_t, demux_flac_s, demux_flac_t, demux_fli_t, demux_flv_t, demux_fourxm_t, demux_idcin_t, demux_iff_t, demux_ipmovie_t, demux_mod_t, demux_mpc_t, demux_mpeg_block_s, demux_mpeg_pes_s, demux_mpeg_s, demux_mpgaudio_t, demux_mve_t, demux_nsf_t, demux_nsv_t, demux_ogg_s, demux_pva_t, demux_qt_t, demux_ra_t, demux_raw_dv_t, demux_real_t, demux_roq_t, demux_shn_t, demux_slave_t, demux_smjpeg_t, demux_snd_t, demux_str_t, demux_ts_t, demux_tta_t, demux_vmd_t, demux_voc_t, demux_vox_t, demux_vqa_t, demux_wav_t, demux_wv_t, demux_yuv4mpeg2_t, demux_yuv_frames_s, xine_stream_s
- audio_fourcc : demux_nsv_t
- audio_frame_count : demux_ipmovie_t
- audio_frame_counter : demux_aud_t
- audio_frames : demux_iff_t, demux_snd_t, demux_vmd_t, demux_vqa_t
- audio_header_sent : v4l_input_plugin_t
- audio_id : demux_asf_s, demux_real_t
- audio_idx : avi_audio_t
- audio_index : qt_trak
- audio_info : demux_str_t
- audio_input : xine_post_s
- audio_interleave_buffer : demux_iff_t
- audio_interleave_buffer_size : demux_iff_t
- audio_loop_running : aos_t
- audio_lpcm : demux_mpeg_s
- audio_min_samples : DVprofile
- audio_mpeg : demux_mpeg_s
- audio_need_keyframe : demux_real_t
- audio_only : v4l_input_plugin_t
- audio_out : xine_stream_s
- audio_posb : avi_audio_t
- audio_posc : avi_audio_t
- audio_position : demux_iff_t
- audio_pts : demux_str_t
- audio_reached : metronom_impl_t
- audio_read_buffer : demux_iff_t
- audio_read_buffer_size : demux_iff_t
- audio_sample_rate : demux_aiff_t, demux_smjpeg_t, demux_snd_t, demux_voc_t, dvaudio_decoder_s
- audio_samplerate : demux_aud_t
- audio_samples_dist : DVprofile
- audio_saved : v4l_input_plugin_t
- audio_shuffle : DVprofile
- audio_source : xine_stream_private_st
- audio_started : oss_driver_s
- audio_step : aos_t
- audio_stream : demux_asf_s, demux_real_t, mmsh_s
- audio_stream_idx : avformat_demux_plugin_t
- audio_streams : demux_real_t
- audio_stride : DVprofile
- audio_strn : avi_audio_t
- audio_superindex : avi_audio_t
- audio_tag : avi_audio_t
- audio_thread : aos_t, xine_stream_private_st
- audio_thread_created : xine_stream_private_st
- audio_time : real_stream_t
- audio_tot : avi_audio_t
- audio_track : demux_matroska_t, matroska_track_s
- audio_track_count : avformat_demux_plugin_t
- audio_track_map_entries : xine_stream_private_st
- audio_tracks : demux_ts_t
- audio_tracks_count : demux_ts_t
- audio_trak : qt_info
- audio_trak_count : qt_info
- audio_traks : qt_info
- audio_type : AudioTrack, avi_audio_t, demux_aud_t, demux_film_t, demux_iff_t, demux_ipmovie_t, demux_nsv_t, demux_ra_t, demux_smjpeg_t, demux_snd_t, demux_ts_media, demux_voc_t, demux_wav_t, xine_stream_private_st
- audio_volume_left : demux_iff_t
- audio_volume_right : demux_iff_t
- audiocodec : demux_flv_t
- audiodelay : demux_flv_t
- auth : rtsp_s
- author : asf_content_s, demux_iff_t, rmff_cont_t, sdpplin_t
- author_len : rmff_cont_t
- autoadvance : vcd_input_class_s, vcdplayer_s
- autoplaylist : cdda_input_class_t, dvb_input_class_t
- aux_page_id : spu_dvb_descriptor_s
- av_fine_sync : aos_t
- av_frame : ff_video_decoder_s
- av_frame2 : ff_video_decoder_s
- av_offset : metronom_impl_t
- av_sync_method_conf : aos_t
- avail : xine_query_buffers_data_t
- avail_start : hls_input_plugin_s
- average_time_per_frame : asf_stream_extension_s
- averaged : noise_param_t
- avg : mpeg2_mc_s, mpeg2_mc_t, post_plugin_volnorm_s
- avg_bit_rate : mdpr_t, rmff_mdpr_t, rmff_prop_t, sdpplin_stream_t
- avg_bitrate : demux_ogg_s, demux_real_t
- avg_d : xine_mfrag_list_s
- avg_duration : dxr3_decoder_s
- avg_l : xine_mfrag_list_s
- avg_packet_size : mdpr_t, rmff_mdpr_t, rmff_prop_t, sdpplin_stream_t
- avi : demux_avi_s
- AVI_errno : demux_avi_s
- ax : _FS_STAR
- ay : _FS_STAR